Axelered
Documents

Update Document

PATCH
/documents/{document_id}

Update the name of a document. The file itself cannot change.

Path Parameters

document_id*Document Id
Formatuuid

Header Parameters

x-workspace-id?|

The Workspace to act on. Required for the Root Key and global API Keys, optional for bound ones.

Request Body

application/json
  1. body
name?Name

New name of the document

Length1 <= length <= 255

Response Body

Successful Response

application/json
  1. response
status?Status
Default"ok"
data*
{  "status": "ok",  "data": {    "id": "string",    "workspaceId": "string",    "createdAt": "string",    "modifiedAt": "string",    "deletedAt": "string",    "name": "string",    "mimeType": "text/plain",    "size": 0  }}